Subject: Re: bug#66706: [PATCH] Automatic elisp dialect insertion

From: Stefan Monnier <[email-masked]>
Date: Wed, 25 Oct 2023 07:56:54 -0400

> enough.  It is not Emacs's business to force users into something they
> don't want to do.

Not inserting a cookie (i.e. what we do now) forces the use of the
dynbind dialect.  In my experience, most users either don't know which
dialect they want or want the lexbind dialect.

This is reflected in the fact that almost all the code I find out there,
is either using lexbind or is old: the only code still using dynbind is
the code that started its life before lexbind existed, pretty much.
And this is to be expected: lexical scoping is the standard in virtually
all programming languages (e.g. Python, JavaScript, C, C++, Java, C#,
Rust, ...)  so programmers are much more at ease with that choice.

So we currently do "force users into something they don't want to do"
and the patch will simply let us do that less often.

        Stefan